with GNATCOM.IInterface;

with GNATCOM.Errors;

package body MSHTML.ISVGTitleElement_Interface is

   procedure Initialize (This : in out ISVGTitleElement_Type) is
   begin
      Set_IID (This, IID_ISVGTitleElement);
   end Initialize;

   function Pointer (This : ISVGTitleElement_Type)
     return Pointer_To_ISVGTitleElement
   is
   begin
      return To_Pointer_To_ISVGTitleElement (Address (This));
   end Pointer;

   procedure Attach (This    : in out ISVGTitleElement_Type;
                     Pointer : in     Pointer_To_ISVGTitleElement)
   is
   begin
      Attach (This, GNATCOM.IInterface.To_Pointer_To_IUnknown
              (Pointer.all'Address));
   end Attach;

end MSHTML.ISVGTitleElement_Interface;

